View Issue Details

IDProjectCategoryView StatusLast Update
0002837GNUnettransport servicepublic2013-12-24 20:55
ReporterChristian GrothoffAssigned ToMatthias Wachs 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002837: need a way to get current (DV) distance information to a peer from ATS
DescriptionDV plugin needs to get the current distance to each peer, to not run
DV-over-DV by accident; DV plugin needs a new callback in the transport-plugin API to notify transport about distance changes; similarly, ATS then needs to report distance changes to DV service; transport service needs to facilitate both.
TagsNo tags attached.

Relationships

child of 0001795 confirmed DV is not implemented 

Activities

Matthias Wachs

2013-03-27 10:11

manager   ~0007012

transport plugin: env_recv split to recv data only, added new function to report metric updates
dv-service: ats performance api /w ats info cb implemented 26609

Christian Grothoff

2013-03-27 10:16

manager   ~0007013

Fixed in SVN 26617.

Issue History

Date Modified Username Field Change
2013-03-18 12:58 Christian Grothoff New Issue
2013-03-18 12:58 Christian Grothoff Status new => assigned
2013-03-18 12:58 Christian Grothoff Assigned To => Matthias Wachs
2013-03-18 12:59 Christian Grothoff Relationship added child of 0001795
2013-03-27 10:11 Matthias Wachs Note Added: 0007012
2013-03-27 10:11 Matthias Wachs Status assigned => resolved
2013-03-27 10:11 Matthias Wachs Resolution open => fixed
2013-03-27 10:16 Christian Grothoff Note Added: 0007013
2013-03-27 10:16 Christian Grothoff Fixed in Version => 0.10.0
2013-03-27 10:16 Christian Grothoff Target Version => 0.10.0
2013-12-24 20:55 Christian Grothoff Status resolved => closed